Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtDoublePointData Class Reference

Inheritance diagram for QwtDoublePointData:

[legend]
Collaboration diagram for QwtDoublePointData:

[legend]
List of all members.

## Detailed Description

Data class containing a single QwtArray<QwtDoublePoint> object.

Definition at line 79 of file qwt_data.h.

## Public Member Functions
| QwtDoublePointData (const QwtArray< QwtDoublePoint > &)
QwtDoublePointData & | operator= (const QwtDoublePointData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const

## Constructor & Destructor Documentation

QwtDoublePointData::QwtDoublePointData | ( | const QwtArray< QwtDoublePoint > & |  | ) |

| Constructor See also: QwtCurve::setData and QwtPlot::setCurveData. Definition at line 61 of file qwt_data.cpp. Referenced by copy().

## Member Function Documentation

QwtData * QwtDoublePointData::copy | ( |  | ) | const`[virtual]`

| Return a pointer to a copy (virtual copy constructor) Implements QwtData. Definition at line 92 of file qwt_data.cpp. References QwtDoublePointData().

QwtDoublePointData & QwtDoublePointData::operator= | ( | const QwtDoublePointData & |  | ) |

| Assignment. Definition at line 67 of file qwt_data.cpp. References d_data.

size_t QwtDoublePointData::size | ( |  | ) | const`[virtual]`

| Return the size of the data set Implements QwtData. Definition at line 77 of file qwt_data.cpp.

double QwtDoublePointData::x | ( | size_t | i | ) | const`[virtual]`

  | Return the x value of data point i Parameters:
  | i | Index
Returns: x X value of data point i Implements QwtData. Definition at line 82 of file qwt_data.cpp.

double QwtDoublePointData::y | ( | size_t | i | ) | const`[virtual]`

  | Return the y value of data point i Parameters:
  | i | Index
Returns: y Y value of data point i Implements QwtData. Definition at line 87 of file qwt_data.cpp.